<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/thread/network_data.hpp Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d1/d10/network__data_8hpp_source.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">network_data.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d10/network__data_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> *  Copyright (c) 2016, The OpenThread Authors.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *  All rights reserved.</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *  Redistribution and use in source and binary forms, with or without</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> *  modification, are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *  1. Redistributions of source code must retain the above copyright</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     notice, this list of conditions and the following disclaimer.</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *  2. Redistributions in binary form must reproduce the above copyright</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *     notice, this list of conditions and the following disclaimer in the</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *     documentation and/or other materials provided with the distribution.</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *  3. Neither the name of the copyright holder nor the</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *     names of its contributors may be used to endorse or promote products</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *     derived from this software without specific prior written permission.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> *  POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#ifndef NETWORK_DATA_HPP_</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#define NETWORK_DATA_HPP_</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../dc/dbf/openthread-types_8h.html">openthread-types.h</a>&gt;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../d0/db7/udp6_8hpp.html">net/udp6.hpp</a>&gt;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../de/d66/lowpan_8hpp.html">thread/lowpan.hpp</a>&gt;</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../d6/d6f/mle__router_8hpp.html">thread/mle_router.hpp</a>&gt;</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../d1/d19/network__data__tlvs_8hpp.html">thread/network_data_tlvs.hpp</a>&gt;</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keyword">namespace </span><a class="code" href="../../d9/d00/namespaceThread.html">Thread</a> {</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="keyword">namespace </span>NetworkData {</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">   84</a></span>&#160;<span class="keyword">class </span><a class="code" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">NetworkData</a></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;{</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <span class="keyword">enum</span></div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    {</div><div class="line"><a name="l00089"></a><span class="lineno"><a class="line" href="../../d4/d80/group__core-netdata-core.html#gga7bc408a1b012da1d593c9b6a8280ae5aaefe709ad8c7d1e0f5aeb273dbb5082f7">   89</a></span>&#160;        <a class="code" href="../../d4/d80/group__core-netdata-core.html#gga7bc408a1b012da1d593c9b6a8280ae5aaefe709ad8c7d1e0f5aeb273dbb5082f7">kMaxSize</a> = 255,  </div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    };</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <a class="code" href="../../d4/d80/group__core-netdata-core.html#ga51bf866830fd8ba2c9c886c4759722ce">NetworkData</a>(<a class="code" href="../../d3/d8e/classThread_1_1ThreadNetif.html">ThreadNetif</a> &amp;aThreadNetif, <span class="keywordtype">bool</span> aLocal);</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d4/d80/group__core-netdata-core.html#ga8772a76056134e6ad65d37cad55225c1">GetNetworkData</a>(<span class="keywordtype">bool</span> aStable, uint8_t *aData, uint8_t &amp;aDataLength);</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d4/d80/group__core-netdata-core.html#ga1f1cacaf85d15baa1cf784b23665f421">GetNextOnMeshPrefix</a>(<a class="code" href="../../db/da2/group__config-br.html#ga741352633dff1a7aded3a8a2e9a25011">otNetworkDataIterator</a> *aIterator, <a class="code" href="../../dd/dd0/structotBorderRouterConfig.html">otBorderRouterConfig</a> *aConfig);</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d4/d80/group__core-netdata-core.html#ga1f1cacaf85d15baa1cf784b23665f421">GetNextOnMeshPrefix</a>(<a class="code" href="../../db/da2/group__config-br.html#ga741352633dff1a7aded3a8a2e9a25011">otNetworkDataIterator</a> *aIterator, uint16_t aRloc16, <a class="code" href="../../dd/dd0/structotBorderRouterConfig.html">otBorderRouterConfig</a> *aConfig);</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d4/d80/group__core-netdata-core.html#ga15e4cd603674f7ba4e4d1323239b5004">GetNextExternalRoute</a>(<a class="code" href="../../db/da2/group__config-br.html#ga741352633dff1a7aded3a8a2e9a25011">otNetworkDataIterator</a> *aIterator, <a class="code" href="../../d4/d5d/structotExternalRouteConfig.html">otExternalRouteConfig</a> *aConfig);</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d4/d80/group__core-netdata-core.html#ga15e4cd603674f7ba4e4d1323239b5004">GetNextExternalRoute</a>(<a class="code" href="../../db/da2/group__config-br.html#ga741352633dff1a7aded3a8a2e9a25011">otNetworkDataIterator</a> *aIterator, uint16_t aRloc16,</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;                                     <a class="code" href="../../d4/d5d/structotExternalRouteConfig.html">otExternalRouteConfig</a> *aConfig);</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d4/d80/group__core-netdata-core.html#ga9e4be52c4b1edb2b456372e07f936e64">ContainsOnMeshPrefixes</a>(<a class="code" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">NetworkData</a> &amp;aCompare, uint16_t aRloc16);</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d4/d80/group__core-netdata-core.html#gaad3d7b2e97324d6cb9d87c464bcb995a">ContainsExternalRoutes</a>(<a class="code" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">NetworkData</a> &amp;aCompare, uint16_t aRloc16);</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d4/d80/group__core-netdata-core.html#gaa8ec766398d8edf196d931889e6e0827">ClearResubmitDelayTimer</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;    <a class="code" href="../../d2/d89/classThread_1_1NetworkData_1_1BorderRouterTlv.html">BorderRouterTlv</a> *<a class="code" href="../../d4/d80/group__core-netdata-core.html#gabe230a18b5a65ec7a63f08db1cb0e613">FindBorderRouter</a>(<a class="code" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html">PrefixTlv</a> &amp;aPrefix);</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;    <a class="code" href="../../d2/d89/classThread_1_1NetworkData_1_1BorderRouterTlv.html">BorderRouterTlv</a> *<a class="code" href="../../d4/d80/group__core-netdata-core.html#gabe230a18b5a65ec7a63f08db1cb0e613">FindBorderRouter</a>(<a class="code" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html">PrefixTlv</a> &amp;aPrefix, <span class="keywordtype">bool</span> aStable);</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;    <a class="code" href="../../db/da1/classThread_1_1NetworkData_1_1HasRouteTlv.html">HasRouteTlv</a> *<a class="code" href="../../d4/d80/group__core-netdata-core.html#ga2bcec104d7c04ab44abfaa5a509c6070">FindHasRoute</a>(<a class="code" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html">PrefixTlv</a> &amp;aPrefix);</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;    <a class="code" href="../../db/da1/classThread_1_1NetworkData_1_1HasRouteTlv.html">HasRouteTlv</a> *<a class="code" href="../../d4/d80/group__core-netdata-core.html#ga2bcec104d7c04ab44abfaa5a509c6070">FindHasRoute</a>(<a class="code" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html">PrefixTlv</a> &amp;aPrefix, <span class="keywordtype">bool</span> aStable);</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;    <a class="code" href="../../df/d56/classThread_1_1NetworkData_1_1ContextTlv.html">ContextTlv</a> *<a class="code" href="../../d4/d80/group__core-netdata-core.html#ga722be438ba262b0aba0128f5082388b1">FindContext</a>(<a class="code" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html">PrefixTlv</a> &amp;aPrefix);</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;    <a class="code" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html">PrefixTlv</a> *<a class="code" href="../../d4/d80/group__core-netdata-core.html#ga5c8a8452951d8bb01eb646de656321a3">FindPrefix</a>(<span class="keyword">const</span> uint8_t *aPrefix, uint8_t aPrefixLength);</div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;</div><div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;    <a class="code" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html">PrefixTlv</a> *<a class="code" href="../../d4/d80/group__core-netdata-core.html#ga5c8a8452951d8bb01eb646de656321a3">FindPrefix</a>(<span class="keyword">const</span> uint8_t *aPrefix, uint8_t aPrefixLength, uint8_t *aTlvs, uint8_t aTlvsLength);</div><div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;</div><div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d4/d80/group__core-netdata-core.html#ga9f5162a9bc93eab0d3c02ffd7647223d">Insert</a>(uint8_t *aStart, uint8_t aLength);</div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;</div><div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d4/d80/group__core-netdata-core.html#ga3b02c75d7d5dce213601521df50b24a3">Remove</a>(uint8_t *aStart, uint8_t aLength);</div><div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160;</div><div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d4/d80/group__core-netdata-core.html#gacaa88ef88dee8b6be852ec7d19b19fa0">RemoveTemporaryData</a>(uint8_t *aData, uint8_t &amp;aDataLength);</div><div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;</div><div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d4/d80/group__core-netdata-core.html#gacaa88ef88dee8b6be852ec7d19b19fa0">RemoveTemporaryData</a>(uint8_t *aData, uint8_t &amp;aDataLength, <a class="code" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html">PrefixTlv</a> &amp;aPrefix);</div><div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;</div><div class="line"><a name="l00325"></a><span class="lineno">  325</span>&#160;    int8_t <a class="code" href="../../d4/d80/group__core-netdata-core.html#ga5ff7c89eab94daf8fffde176c02f2093">PrefixMatch</a>(<span class="keyword">const</span> uint8_t *a, <span class="keyword">const</span> uint8_t *b, uint8_t aLength);</div><div class="line"><a name="l00326"></a><span class="lineno">  326</span>&#160;</div><div class="line"><a name="l00336"></a><span class="lineno">  336</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d4/d80/group__core-netdata-core.html#ga0caa53c797a248a80b591f963d110657">SendServerDataNotification</a>(uint16_t aRloc16);</div><div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160;</div><div class="line"><a name="l00338"></a><span class="lineno"><a class="line" href="../../d4/d80/group__core-netdata-core.html#ga0e78f3ca45c7e136a56b66008d0fb2ae">  338</a></span>&#160;    uint8_t <a class="code" href="../../d4/d80/group__core-netdata-core.html#ga0e78f3ca45c7e136a56b66008d0fb2ae">mTlvs</a>[<a class="code" href="../../d4/d80/group__core-netdata-core.html#gga7bc408a1b012da1d593c9b6a8280ae5aaefe709ad8c7d1e0f5aeb273dbb5082f7">kMaxSize</a>];  </div><div class="line"><a name="l00339"></a><span class="lineno">  339</span>&#160;    uint8_t mLength;          </div><div class="line"><a name="l00340"></a><span class="lineno">  340</span>&#160;</div><div class="line"><a name="l00341"></a><span class="lineno">  341</span>&#160;    <a class="code" href="../../df/da5/classThread_1_1Mle_1_1MleRouter.html">Mle::MleRouter</a> &amp;mMle;</div><div class="line"><a name="l00342"></a><span class="lineno">  342</span>&#160;</div><div class="line"><a name="l00343"></a><span class="lineno">  343</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00344"></a><span class="lineno">  344</span>&#160;    <span class="keyword">enum</span></div><div class="line"><a name="l00345"></a><span class="lineno">  345</span>&#160;    {</div><div class="line"><a name="l00346"></a><span class="lineno">  346</span>&#160;        kDataResubmitDelay = 300,  </div><div class="line"><a name="l00347"></a><span class="lineno">  347</span>&#160;    };</div><div class="line"><a name="l00348"></a><span class="lineno">  348</span>&#160;</div><div class="line"><a name="l00349"></a><span class="lineno">  349</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> HandleUdpReceive(<span class="keywordtype">void</span> *aContext, <a class="code" href="../../d4/d7c/group__messages.html#ga461fb1347aeb99b1d4aab520915e121e">otMessage</a> aMessage, <span class="keyword">const</span> <a class="code" href="../../dd/d76/structotMessageInfo.html">otMessageInfo</a> *aMessageInfo);</div><div class="line"><a name="l00350"></a><span class="lineno">  350</span>&#160;    <span class="keywordtype">void</span> HandleUdpReceive(<a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <span class="keyword">const</span> <a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo);</div><div class="line"><a name="l00351"></a><span class="lineno">  351</span>&#160;</div><div class="line"><a name="l00352"></a><span class="lineno">  352</span>&#160;    <span class="keyword">const</span> <span class="keywordtype">bool</span>      mLocal;</div><div class="line"><a name="l00353"></a><span class="lineno">  353</span>&#160;    <span class="keywordtype">bool</span>            mLastAttemptWait;</div><div class="line"><a name="l00354"></a><span class="lineno">  354</span>&#160;    uint32_t        mLastAttempt;</div><div class="line"><a name="l00355"></a><span class="lineno">  355</span>&#160;</div><div class="line"><a name="l00356"></a><span class="lineno">  356</span>&#160;    <a class="code" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html">Ip6::UdpSocket</a>  mSocket;</div><div class="line"><a name="l00357"></a><span class="lineno">  357</span>&#160;    uint8_t         mCoapToken[2];</div><div class="line"><a name="l00358"></a><span class="lineno">  358</span>&#160;    uint16_t        mCoapMessageId;</div><div class="line"><a name="l00359"></a><span class="lineno">  359</span>&#160;};</div><div class="line"><a name="l00360"></a><span class="lineno">  360</span>&#160;</div><div class="line"><a name="l00361"></a><span class="lineno">  361</span>&#160;}  <span class="comment">// namespace NetworkData</span></div><div class="line"><a name="l00362"></a><span class="lineno">  362</span>&#160;</div><div class="line"><a name="l00367"></a><span class="lineno">  367</span>&#160;}  <span class="comment">// namespace Thread</span></div><div class="line"><a name="l00368"></a><span class="lineno">  368</span>&#160;</div><div class="line"><a name="l00369"></a><span class="lineno">  369</span>&#160;<span class="preprocessor">#endif  // NETWORK_DATA_HPP_</span></div><div class="ttc" id="group__core-netdata-core_html_ga5c8a8452951d8bb01eb646de656321a3"><div class="ttname"><a href="../../d4/d80/group__core-netdata-core.html#ga5c8a8452951d8bb01eb646de656321a3">Thread::NetworkData::NetworkData::FindPrefix</a></div><div class="ttdeci">PrefixTlv * FindPrefix(const uint8_t *aPrefix, uint8_t aPrefixLength)</div><div class="ttdoc">This method returns a pointer to a Prefix TLV. </div><div class="ttdef"><b>Definition:</b> network_data.cpp:514</div></div>
<div class="ttc" id="group__config-br_html_ga741352633dff1a7aded3a8a2e9a25011"><div class="ttname"><a href="../../db/da2/group__config-br.html#ga741352633dff1a7aded3a8a2e9a25011">otNetworkDataIterator</a></div><div class="ttdeci">uint8_t otNetworkDataIterator</div><div class="ttdoc">Used to iterate through Network Data information. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:552</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1MessageInfo_html"><div class="ttname"><a href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Thread::Ip6::MessageInfo</a></div><div class="ttdoc">This class implements message information for an IPv6 message. </div><div class="ttdef"><b>Definition:</b> socket.hpp:54</div></div>
<div class="ttc" id="group__core-netdata-core_html_ga3b02c75d7d5dce213601521df50b24a3"><div class="ttname"><a href="../../d4/d80/group__core-netdata-core.html#ga3b02c75d7d5dce213601521df50b24a3">Thread::NetworkData::NetworkData::Remove</a></div><div class="ttdeci">ThreadError Remove(uint8_t *aStart, uint8_t aLength)</div><div class="ttdoc">This method removes bytes from the Network Data. </div><div class="ttdef"><b>Definition:</b> network_data.cpp:583</div></div>
<div class="ttc" id="structotExternalRouteConfig_html"><div class="ttname"><a href="../../d4/d5d/structotExternalRouteConfig.html">otExternalRouteConfig</a></div><div class="ttdoc">This structure represents an External Route configuration. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:608</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1PrefixTlv_html"><div class="ttname"><a href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html">Thread::NetworkData::PrefixTlv</a></div><div class="ttdoc">This class implements Prefix TLV generation and parsing. </div><div class="ttdef"><b>Definition:</b> network_data_tlvs.hpp:266</div></div>
<div class="ttc" id="classThread_1_1Message_html"><div class="ttname"><a href="../../dc/d3c/classThread_1_1Message.html">Thread::Message</a></div><div class="ttdoc">This class represents a message. </div><div class="ttdef"><b>Definition:</b> message.hpp:213</div></div>
<div class="ttc" id="mle__router_8hpp_html"><div class="ttname"><a href="../../d6/d6f/mle__router_8hpp.html">mle_router.hpp</a></div><div class="ttdoc">This file includes definitions for MLE functionality required by the Thread Router and Leader roles...</div></div>
<div class="ttc" id="classThread_1_1ThreadNetif_html"><div class="ttname"><a href="../../d3/d8e/classThread_1_1ThreadNetif.html">Thread::ThreadNetif</a></div><div class="ttdef"><b>Definition:</b> thread_netif.hpp:85</div></div>
<div class="ttc" id="group__core-netdata-core_html_gaad3d7b2e97324d6cb9d87c464bcb995a"><div class="ttname"><a href="../../d4/d80/group__core-netdata-core.html#gaad3d7b2e97324d6cb9d87c464bcb995a">Thread::NetworkData::NetworkData::ContainsExternalRoutes</a></div><div class="ttdeci">bool ContainsExternalRoutes(NetworkData &amp;aCompare, uint16_t aRloc16)</div><div class="ttdoc">This method indicates whether or not the Thread Network Data contains all of the external route infor...</div><div class="ttdef"><b>Definition:</b> network_data.cpp:228</div></div>
<div class="ttc" id="group__core-netdata-core_html_ga8772a76056134e6ad65d37cad55225c1"><div class="ttname"><a href="../../d4/d80/group__core-netdata-core.html#ga8772a76056134e6ad65d37cad55225c1">Thread::NetworkData::NetworkData::GetNetworkData</a></div><div class="ttdeci">void GetNetworkData(bool aStable, uint8_t *aData, uint8_t &amp;aDataLength)</div><div class="ttdoc">This method provides a full or stable copy of the Thread Network Data. </div><div class="ttdef"><b>Definition:</b> network_data.cpp:61</div></div>
<div class="ttc" id="openthread-types_8h_html_ab701d053a9c34ab7f11e43e0dc09ac9f"><div class="ttname"><a href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a></div><div class="ttdeci">ThreadError</div><div class="ttdoc">This enumeration represents error codes used throughout OpenThread. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:75</div></div>
<div class="ttc" id="group__core-netdata-core_html_gacaa88ef88dee8b6be852ec7d19b19fa0"><div class="ttname"><a href="../../d4/d80/group__core-netdata-core.html#gacaa88ef88dee8b6be852ec7d19b19fa0">Thread::NetworkData::NetworkData::RemoveTemporaryData</a></div><div class="ttdeci">void RemoveTemporaryData(uint8_t *aData, uint8_t &amp;aDataLength)</div><div class="ttdoc">This method strips non-stable data from the Thread Network Data. </div><div class="ttdef"><b>Definition:</b> network_data.cpp:258</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1NetworkData_html"><div class="ttname"><a href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></div><div class="ttdoc">This class implements Network Data processing. </div><div class="ttdef"><b>Definition:</b> network_data.hpp:84</div></div>
<div class="ttc" id="lowpan_8hpp_html"><div class="ttname"><a href="../../de/d66/lowpan_8hpp.html">lowpan.hpp</a></div><div class="ttdoc">This file includes definitions for 6LoWPAN header compression. </div></div>
<div class="ttc" id="network__data__tlvs_8hpp_html"><div class="ttname"><a href="../../d1/d19/network__data__tlvs_8hpp.html">network_data_tlvs.hpp</a></div><div class="ttdoc">This file includes definitions for generating and processing Thread Network Data TLVs. </div></div>
<div class="ttc" id="group__core-netdata-core_html_ga2bcec104d7c04ab44abfaa5a509c6070"><div class="ttname"><a href="../../d4/d80/group__core-netdata-core.html#ga2bcec104d7c04ab44abfaa5a509c6070">Thread::NetworkData::NetworkData::FindHasRoute</a></div><div class="ttdeci">HasRouteTlv * FindHasRoute(PrefixTlv &amp;aPrefix)</div><div class="ttdoc">This method returns a pointer to the Has Route TLV within a given Prefix TLV. </div><div class="ttdef"><b>Definition:</b> network_data.cpp:453</div></div>
<div class="ttc" id="udp6_8hpp_html"><div class="ttname"><a href="../../d0/db7/udp6_8hpp.html">udp6.hpp</a></div><div class="ttdoc">This file includes definitions for UDP/IPv6 sockets. </div></div>
<div class="ttc" id="group__core-netdata-core_html_ga0caa53c797a248a80b591f963d110657"><div class="ttname"><a href="../../d4/d80/group__core-netdata-core.html#ga0caa53c797a248a80b591f963d110657">Thread::NetworkData::NetworkData::SendServerDataNotification</a></div><div class="ttdeci">ThreadError SendServerDataNotification(uint16_t aRloc16)</div><div class="ttdoc">This method sends a Server Data Notification message to the Leader. </div><div class="ttdef"><b>Definition:</b> network_data.cpp:593</div></div>
<div class="ttc" id="group__core-netdata-core_html_ga51bf866830fd8ba2c9c886c4759722ce"><div class="ttname"><a href="../../d4/d80/group__core-netdata-core.html#ga51bf866830fd8ba2c9c886c4759722ce">Thread::NetworkData::NetworkData::NetworkData</a></div><div class="ttdeci">NetworkData(ThreadNetif &amp;aThreadNetif, bool aLocal)</div><div class="ttdoc">This constructor initializes the object. </div><div class="ttdef"><b>Definition:</b> network_data.cpp:50</div></div>
<div class="ttc" id="group__core-netdata-core_html_gaa8ec766398d8edf196d931889e6e0827"><div class="ttname"><a href="../../d4/d80/group__core-netdata-core.html#gaa8ec766398d8edf196d931889e6e0827">Thread::NetworkData::NetworkData::ClearResubmitDelayTimer</a></div><div class="ttdeci">void ClearResubmitDelayTimer(void)</div><div class="ttdoc">This method cancels the data resubmit delay timer. </div><div class="ttdef"><b>Definition:</b> network_data.cpp:661</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1HasRouteTlv_html"><div class="ttname"><a href="../../db/da1/classThread_1_1NetworkData_1_1HasRouteTlv.html">Thread::NetworkData::HasRouteTlv</a></div><div class="ttdoc">This class implements Has Route TLV generation and parsing. </div><div class="ttdef"><b>Definition:</b> network_data_tlvs.hpp:231</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1ContextTlv_html"><div class="ttname"><a href="../../df/d56/classThread_1_1NetworkData_1_1ContextTlv.html">Thread::NetworkData::ContextTlv</a></div><div class="ttdoc">This class implements Context TLV generation and processing. </div><div class="ttdef"><b>Definition:</b> network_data_tlvs.hpp:593</div></div>
<div class="ttc" id="group__core-netdata-core_html_ga9e4be52c4b1edb2b456372e07f936e64"><div class="ttname"><a href="../../d4/d80/group__core-netdata-core.html#ga9e4be52c4b1edb2b456372e07f936e64">Thread::NetworkData::NetworkData::ContainsOnMeshPrefixes</a></div><div class="ttdeci">bool ContainsOnMeshPrefixes(NetworkData &amp;aCompare, uint16_t aRloc16)</div><div class="ttdoc">This method indicates whether or not the Thread Network Data contains all of the on mesh prefix infor...</div><div class="ttdef"><b>Definition:</b> network_data.cpp:198</div></div>
<div class="ttc" id="group__core-netdata-core_html_ga15e4cd603674f7ba4e4d1323239b5004"><div class="ttname"><a href="../../d4/d80/group__core-netdata-core.html#ga15e4cd603674f7ba4e4d1323239b5004">Thread::NetworkData::NetworkData::GetNextExternalRoute</a></div><div class="ttdeci">ThreadError GetNextExternalRoute(otNetworkDataIterator *aIterator, otExternalRouteConfig *aConfig)</div><div class="ttdoc">This method provides the next external route in the Thread Network Data. </div><div class="ttdef"><b>Definition:</b> network_data.cpp:139</div></div>
<div class="ttc" id="group__core-netdata-core_html_ga0e78f3ca45c7e136a56b66008d0fb2ae"><div class="ttname"><a href="../../d4/d80/group__core-netdata-core.html#ga0e78f3ca45c7e136a56b66008d0fb2ae">Thread::NetworkData::NetworkData::mTlvs</a></div><div class="ttdeci">uint8_t mTlvs[kMaxSize]</div><div class="ttdoc">The Network Data buffer. </div><div class="ttdef"><b>Definition:</b> network_data.hpp:338</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1UdpSocket_html"><div class="ttname"><a href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html">Thread::Ip6::UdpSocket</a></div><div class="ttdoc">This class implements a UDP/IPv6 socket. </div><div class="ttdef"><b>Definition:</b> udp6.hpp:59</div></div>
<div class="ttc" id="group__core-netdata-core_html_ga9f5162a9bc93eab0d3c02ffd7647223d"><div class="ttname"><a href="../../d4/d80/group__core-netdata-core.html#ga9f5162a9bc93eab0d3c02ffd7647223d">Thread::NetworkData::NetworkData::Insert</a></div><div class="ttdeci">ThreadError Insert(uint8_t *aStart, uint8_t aLength)</div><div class="ttdoc">This method inserts bytes into the Network Data. </div><div class="ttdef"><b>Definition:</b> network_data.cpp:573</div></div>
<div class="ttc" id="group__core-netdata-core_html_gabe230a18b5a65ec7a63f08db1cb0e613"><div class="ttname"><a href="../../d4/d80/group__core-netdata-core.html#gabe230a18b5a65ec7a63f08db1cb0e613">Thread::NetworkData::NetworkData::FindBorderRouter</a></div><div class="ttdeci">BorderRouterTlv * FindBorderRouter(PrefixTlv &amp;aPrefix)</div><div class="ttdoc">This method returns a pointer to the Border Router TLV within a given Prefix TLV. ...</div><div class="ttdef"><b>Definition:</b> network_data.cpp:412</div></div>
<div class="ttc" id="structotBorderRouterConfig_html"><div class="ttname"><a href="../../dd/dd0/structotBorderRouterConfig.html">otBorderRouterConfig</a></div><div class="ttdoc">This structure represents a Border Router configuration. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:557</div></div>
<div class="ttc" id="structotMessageInfo_html"><div class="ttname"><a href="../../dd/d76/structotMessageInfo.html">otMessageInfo</a></div><div class="ttdoc">This structure represents the local and peer IPv6 socket addresses. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:902</div></div>
<div class="ttc" id="group__core-netdata-core_html_gga7bc408a1b012da1d593c9b6a8280ae5aaefe709ad8c7d1e0f5aeb273dbb5082f7"><div class="ttname"><a href="../../d4/d80/group__core-netdata-core.html#gga7bc408a1b012da1d593c9b6a8280ae5aaefe709ad8c7d1e0f5aeb273dbb5082f7">Thread::NetworkData::NetworkData::kMaxSize</a></div><div class="ttdoc">Maximum size of Thread Network Data in bytes. </div><div class="ttdef"><b>Definition:</b> network_data.hpp:89</div></div>
<div class="ttc" id="group__core-netdata-core_html_ga5ff7c89eab94daf8fffde176c02f2093"><div class="ttname"><a href="../../d4/d80/group__core-netdata-core.html#ga5ff7c89eab94daf8fffde176c02f2093">Thread::NetworkData::NetworkData::PrefixMatch</a></div><div class="ttdeci">int8_t PrefixMatch(const uint8_t *a, const uint8_t *b, uint8_t aLength)</div><div class="ttdoc">This method computes the number of IPv6 Prefix bits that match. </div><div class="ttdef"><b>Definition:</b> network_data.cpp:544</div></div>
<div class="ttc" id="group__messages_html_ga461fb1347aeb99b1d4aab520915e121e"><div class="ttname"><a href="../../d4/d7c/group__messages.html#ga461fb1347aeb99b1d4aab520915e121e">otMessage</a></div><div class="ttdeci">void * otMessage</div><div class="ttdoc">This type points to an OpenThread message buffer. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:872</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1BorderRouterTlv_html"><div class="ttname"><a href="../../d2/d89/classThread_1_1NetworkData_1_1BorderRouterTlv.html">Thread::NetworkData::BorderRouterTlv</a></div><div class="ttdoc">This class implements Border Router TLV generation and parsing. </div><div class="ttdef"><b>Definition:</b> network_data_tlvs.hpp:558</div></div>
<div class="ttc" id="openthread-types_8h_html"><div class="ttname"><a href="../../dc/dbf/openthread-types_8h.html">openthread-types.h</a></div><div class="ttdoc">This file defines the types and structures used in the OpenThread library API. </div></div>
<div class="ttc" id="group__core-netdata-core_html_ga1f1cacaf85d15baa1cf784b23665f421"><div class="ttname"><a href="../../d4/d80/group__core-netdata-core.html#ga1f1cacaf85d15baa1cf784b23665f421">Thread::NetworkData::NetworkData::GetNextOnMeshPrefix</a></div><div class="ttdeci">ThreadError GetNextOnMeshPrefix(otNetworkDataIterator *aIterator, otBorderRouterConfig *aConfig)</div><div class="ttdoc">This method provides the next On Mesh prefix in the Thread Network Data. </div><div class="ttdef"><b>Definition:</b> network_data.cpp:74</div></div>
<div class="ttc" id="classThread_1_1Mle_1_1MleRouter_html"><div class="ttname"><a href="../../df/da5/classThread_1_1Mle_1_1MleRouter.html">Thread::Mle::MleRouter</a></div><div class="ttdoc">This class implements MLE functionality required by the Thread Router and Leader roles. </div><div class="ttdef"><b>Definition:</b> mle_router.hpp:174</div></div>
<div class="ttc" id="namespaceThread_html"><div class="ttname"><a href="../../d9/d00/namespaceThread.html">Thread</a></div><div class="ttdef"><b>Definition:</b> cli.cpp:61</div></div>
<div class="ttc" id="group__core-netdata-core_html_ga722be438ba262b0aba0128f5082388b1"><div class="ttname"><a href="../../d4/d80/group__core-netdata-core.html#ga722be438ba262b0aba0128f5082388b1">Thread::NetworkData::NetworkData::FindContext</a></div><div class="ttdeci">ContextTlv * FindContext(PrefixTlv &amp;aPrefix)</div><div class="ttdoc">This method returns a pointer to the Context TLV within a given Prefix TLV. </div><div class="ttdef"><b>Definition:</b> network_data.cpp:494</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="../../dir_fd71accbf528c1576ca21e7ec5716833.html">thread</a></li><li class="navelem"><a class="el" href="../../d1/d10/network__data_8hpp.html">network_data.hpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:34 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
